Page MenuHomePhabricator

elocation: remove beta library
ClosedPublic

Authored by stefan_schmidt on Dec 3 2019, 7:47 AM.

Details

Summary

This has never been fully finished or really used. The GeoClue project
dbus API moved on to a newer version as well. We still have it marked as
beta so we should take the chance and get rid of it to cleanup our tree
a little bit.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
stefan_schmidt created this revision.Dec 3 2019, 7:47 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

stefan_schmidt requested review of this revision.Dec 3 2019, 7:47 AM
devilhorns accepted this revision.Dec 3 2019, 8:03 AM
devilhorns added a subscriber: devilhorns.

Looks good to me, but lets get one more sign-off to be sure

This revision is now accepted and ready to land.Dec 3 2019, 8:03 AM

Could I get someone else reviewing this as well? Should be simple enough.

vtorri added a subscriber: vtorri.Dec 5 2019, 9:36 PM

i think that there is one occurence here : doc/elementary_examples_cxx.dox: * @ref location_cxx_example_01

do you plan to update NEWS file ?

I have a local change for the NEWS file that will take all the removals into account when landed.

Thanks for the docs pointer. Missed in my grepping. Updated patch coming in.

Rebased against master and fixed docs reference pointed out by vtorri

vtorri accepted this revision.Dec 9 2019, 6:22 AM
This revision was automatically updated to reflect the committed changes.